Plume URL

/urls/{id}

Update an URL data

PATCH
/urls/{id}

Path Parameters

id*string
Length8 <= length <= 16

Header Parameters

Authorization*string

Request Body

application/json

url?string

The URL to shorten

Length1 <= length <= 500
expiresAt?|

The timestamp of the URL expiration

description?|

The URL description

customId?|

The custom ID of the URL. For example, you can set the ID of the user creating the URL, allowing you to use the /search endpoint with it.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://url.sodiumlabs.xyz/api/urls/stringst" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}